<?php
    namespace Model;
    use Entity\Quote;
    use Gateway\QuoteGateway;

    class QuoteModel
    {
        private QuoteGateway $gateway;

        public function __construct(QuoteGateway $gate){
            $this->gateway = $gate;
        }

        public function searchQuote(string $quote,int $numpage,string $language) : Quote{
            $res = $this->gateway->searchQuote($quote,$numpage,$language);
            return new Quote($res[0]['']);
        }
    }

?>
